Cannot load such file on spec after update to version 2017.1

Hello,

 

After upgrade to 2017.1 version, I'm getting a "cannot load such file" error when running any single spec, but works okay when running all of them.

The problem just happens when I have a require to file in my spec. When I change my "require 'file'" to "require_relative 'path/to/file'" it works just fine.

I tried to add the whole spec directory to the load_path, but it didn't work.

When I run the same single spec from the terminal with the rspec command, it works fine as well.

Do you guys have any idea on how to fix this issue?

1 comment
Comment actions Permalink

Hello,

there was an issue with running Rspec tests (https://youtrack.jetbrains.com/issue/RUBY-19106) Could you please check how it goes in RubyMine 2017.1.1 RC.

0

Please sign in to leave a comment.